#include "BlockRemovedUpdate.h"
#include "Globals.h"
#include "Game.h"

BlockRemovedUpdateType::BlockRemovedUpdateType()
    : WorldUpdateType( ID )
{}

void BlockRemovedUpdateType::applyUpdate( Framework::StreamReader* zReader )
{
    int dimension = 0;
    zReader->lese( (char*)&dimension, 4 );
    Framework::Vec3<int> pos;
    zReader->lese( (char*)&pos.x, 4 );
    zReader->lese( (char*)&pos.y, 4 );
    zReader->lese( (char*)&pos.z, 4 );
    Dimension* d = currentGame->zDimension( dimension );
    Block* b = d->zBlock( pos );
    if( b )
        d->removeBlock( b );
}