#pragma once

#include "Entity.h"
#include "StaticRegistry.h"

class ItemSlot;

class ItemEntity : public Entity
{
    ItemSlot* slot;
public:
    ItemEntity();

    virtual bool tick( double time ) override;
};

class ItemEntityType : public EntityType
{
    REGISTRABLE( ItemEntityType )

protected:
    virtual Entity* createEntity() const override;

public:
    ItemEntityType();
};
REGISTER( ItemEntityType, EntityType )