#pragma once

#include "Item.h"

class ItemStack : public virtual Framework::ReferenceCounter
{
private:
    Item* item;
    int size;
    int maxSize;

public:
    ItemStack( Item* item, int currentSize, int maxSize );
    ItemStack( Item* item, int currentSize );
    ~ItemStack();

    int getSize() const;
    int getMaxSize() const;
    Item* zItem() const;
};